# eric4.Preferences.ConfigurationPages.TerminalPage

Module implementing the Terminal configuration page.

### Global Attributes

None

### Classes

TerminalPage | Class implementing the Terminal configuration page.

### Functions

create | Module function to create the configuration page.

## TerminalPage

Class implementing the Terminal configuration page.

### Derived from

ConfigurationPageBase, Ui_TerminalPage

### Class Attributes

None

### Methods

TerminalPage | Constructor
on_linenumbersFontButton_clicked | Private method used to select the font for the editor margins.
on_monospacedFontButton_clicked | Private method used to select the font to be used as the monospaced font.
polishPage | Public slot to perform some polishing actions.
save | Public slot to save the Shell configuration.

#### TerminalPage (Constructor)

TerminalPage()

Constructor

#### TerminalPage.on_linenumbersFontButton_clicked

on_linenumbersFontButton_clicked()

Private method used to select the font for the editor margins.

#### TerminalPage.on_monospacedFontButton_clicked

on_monospacedFontButton_clicked()

Private method used to select the font to be used as the monospaced font.

#### TerminalPage.polishPage

polishPage()

Public slot to perform some polishing actions.

#### TerminalPage.save

save()

Public slot to save the Shell configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up